package com.mdd.admin.validate.channel;

import com.mdd.common.validator.annotation.IntegerContains;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import org.hibernate.validator.constraints.Length;

@ApiModel("公众号渠道参数")
public class ChannelOaValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("公众号名称")
   private @Length(
   max = 100,
   message = "小程序名称不能超100个字符"
) String name = "";
   @ApiModelProperty("原始ID")
   private @Length(
   max = 100,
   message = "原始ID不能超100个字符"
) String primaryId = "";
   @ApiModelProperty("appId")
   private @Length(
   max = 100,
   message = "appId不能超100个字符"
) String appId = "";
   @ApiModelProperty("appSecret")
   private @Length(
   max = 200,
   message = "appSecret不能超100个字符"
) String appSecret = "";
   @ApiModelProperty("二维码")
   private @Length(
   max = 300,
   message = "小程序码不能超300个字符"
) String qrCode = "";
   @ApiModelProperty("URL")
   private @Length(
   max = 300,
   message = "URL不能超300个字符"
) String url = "";
   @ApiModelProperty("Token")
   private @Length(
   max = 200,
   message = "Token不能超200个字符"
) String token = "";
   @ApiModelProperty("EncodingAESKey")
   private @Length(
   max = 43,
   message = "EncodingAESKey不能超43个字符"
) String encodingAesKey = "";
   @IntegerContains(
      values = {1, 2, 3},
      message = "encryptionType不是合法值"
   )
   @ApiModelProperty("消息加密方式")
   private Integer encryptionType = 1;

   public String getName() {
      return this.name;
   }

   public String getPrimaryId() {
      return this.primaryId;
   }

   public String getAppId() {
      return this.appId;
   }

   public String getAppSecret() {
      return this.appSecret;
   }

   public String getQrCode() {
      return this.qrCode;
   }

   public String getUrl() {
      return this.url;
   }

   public String getToken() {
      return this.token;
   }

   public String getEncodingAesKey() {
      return this.encodingAesKey;
   }

   public Integer getEncryptionType() {
      return this.encryptionType;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setPrimaryId(String primaryId) {
      this.primaryId = primaryId;
   }

   public void setAppId(String appId) {
      this.appId = appId;
   }

   public void setAppSecret(String appSecret) {
      this.appSecret = appSecret;
   }

   public void setQrCode(String qrCode) {
      this.qrCode = qrCode;
   }

   public void setUrl(String url) {
      this.url = url;
   }

   public void setToken(String token) {
      this.token = token;
   }

   public void setEncodingAesKey(String encodingAesKey) {
      this.encodingAesKey = encodingAesKey;
   }

   public void setEncryptionType(Integer encryptionType) {
      this.encryptionType = encryptionType;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ChannelOaValidate)) {
         return false;
      } else {
         ChannelOaValidate other = (ChannelOaValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label119: {
               Object this$encryptionType = this.getEncryptionType();
               Object other$encryptionType = other.getEncryptionType();
               if (this$encryptionType == null) {
                  if (other$encryptionType == null) {
                     break label119;
                  }
               } else if (this$encryptionType.equals(other$encryptionType)) {
                  break label119;
               }

               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            label105: {
               Object this$primaryId = this.getPrimaryId();
               Object other$primaryId = other.getPrimaryId();
               if (this$primaryId == null) {
                  if (other$primaryId == null) {
                     break label105;
                  }
               } else if (this$primaryId.equals(other$primaryId)) {
                  break label105;
               }

               return false;
            }

            Object this$appId = this.getAppId();
            Object other$appId = other.getAppId();
            if (this$appId == null) {
               if (other$appId != null) {
                  return false;
               }
            } else if (!this$appId.equals(other$appId)) {
               return false;
            }

            label91: {
               Object this$appSecret = this.getAppSecret();
               Object other$appSecret = other.getAppSecret();
               if (this$appSecret == null) {
                  if (other$appSecret == null) {
                     break label91;
                  }
               } else if (this$appSecret.equals(other$appSecret)) {
                  break label91;
               }

               return false;
            }

            Object this$qrCode = this.getQrCode();
            Object other$qrCode = other.getQrCode();
            if (this$qrCode == null) {
               if (other$qrCode != null) {
                  return false;
               }
            } else if (!this$qrCode.equals(other$qrCode)) {
               return false;
            }

            label77: {
               Object this$url = this.getUrl();
               Object other$url = other.getUrl();
               if (this$url == null) {
                  if (other$url == null) {
                     break label77;
                  }
               } else if (this$url.equals(other$url)) {
                  break label77;
               }

               return false;
            }

            label70: {
               Object this$token = this.getToken();
               Object other$token = other.getToken();
               if (this$token == null) {
                  if (other$token == null) {
                     break label70;
                  }
               } else if (this$token.equals(other$token)) {
                  break label70;
               }

               return false;
            }

            Object this$encodingAesKey = this.getEncodingAesKey();
            Object other$encodingAesKey = other.getEncodingAesKey();
            if (this$encodingAesKey == null) {
               if (other$encodingAesKey != null) {
                  return false;
               }
            } else if (!this$encodingAesKey.equals(other$encodingAesKey)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ChannelOaValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $encryptionType = this.getEncryptionType();
      result = result * 59 + ($encryptionType == null ? 43 : $encryptionType.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $primaryId = this.getPrimaryId();
      result = result * 59 + ($primaryId == null ? 43 : $primaryId.hashCode());
      Object $appId = this.getAppId();
      result = result * 59 + ($appId == null ? 43 : $appId.hashCode());
      Object $appSecret = this.getAppSecret();
      result = result * 59 + ($appSecret == null ? 43 : $appSecret.hashCode());
      Object $qrCode = this.getQrCode();
      result = result * 59 + ($qrCode == null ? 43 : $qrCode.hashCode());
      Object $url = this.getUrl();
      result = result * 59 + ($url == null ? 43 : $url.hashCode());
      Object $token = this.getToken();
      result = result * 59 + ($token == null ? 43 : $token.hashCode());
      Object $encodingAesKey = this.getEncodingAesKey();
      result = result * 59 + ($encodingAesKey == null ? 43 : $encodingAesKey.hashCode());
      return result;
   }

   public String toString() {
      return "ChannelOaValidate(name=" + this.getName() + ", primaryId=" + this.getPrimaryId() + ", appId=" + this.getAppId() + ", appSecret=" + this.getAppSecret() + ", qrCode=" + this.getQrCode() + ", url=" + this.getUrl() + ", token=" + this.getToken() + ", encodingAesKey=" + this.getEncodingAesKey() + ", encryptionType=" + this.getEncryptionType() + ")";
   }
}
